Imports System
Imports System.ComponentModel

Imports DevExpress.Xpo
Imports DevExpress.Data.Filtering

Imports DevExpress.ExpressApp
Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.Persistent.Validation

<DefaultClassOptions(), NavigationItem(False), CreatableItem(False)> _
Public Class ProjectBar
    Inherits BaseObject
    Private _ProjectRows As ProjectRows
    Private _DateStart As Date
    Private _DateEnd As Date

    Public Sub New(ByVal session As Session)
        MyBase.New(session)
    End Sub
    Public Overrides Sub AfterConstruction()
        MyBase.AfterConstruction()
    End Sub

    Property ProjectRows As ProjectRows
        Get
            Return _ProjectRows
        End Get
        Set(value As ProjectRows)
            SetPropertyValue("ProjectRows", _ProjectRows, value)
        End Set
    End Property
    Property DateStart As Date
        Get
            Return _DateStart
        End Get
        Set(value As Date)
            SetPropertyValue("DateStart", _DateStart, value)
        End Set
    End Property
    Property DateEnd As Date
        Get
            Return _DateEnd
        End Get
        Set(value As Date)
            SetPropertyValue("DateEnd", _DateEnd, value)
        End Set
    End Property
End Class
